package sample.sample_c;

import org.apache.log4j.Logger;

public class SampleC_7 {
	private static final Logger logger = Logger.getLogger(SampleC_7.class);

	public static void main(String[] args) {
		Runnable runnable = new Anonymous();

		Thread thread = new Thread(runnable);
		thread.start();
	}
	
	static class Anonymous implements Runnable {
		public void run() {
			logger.debug("Hello, world!");
		}
	}
}
